Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.validate
Interface Schemata.Column

All Known Implementing Classes:
  ImmutableColumn, PlanUtil.AbsentColumn

Enclosing interface:
  Schemata

    public static interface Schemata.Column

Information about a queryable column.

Method Summary
`String` | `getName()` Get the name for this column.
`Set<Operator>` | `getOperators()` Get the set of operators that can be used in a comparison involving this column.
`String` | `getPropertyType()` Get the property type for this column.
`boolean` | `isFullTextSearchable()` Get whether the column can be used in a full-text search.
`boolean` | `isOrderable()` Get whether this column can be used within an `ORDER BY clause`.

Method Detail

### getName

    String getName()

  Get the name for this column.

  Returns:
    the column name; never null

### getPropertyType

    String getPropertyType()

  Get the property type for this column.

  Returns:
    the property type; never null

### isFullTextSearchable

    boolean isFullTextSearchable()

  Get whether the column can be used in a full-text search.

  Returns:
    true if the column is full-text searchable, or false otherwise

### getOperators

    Set<Operator> getOperators()

  Get the set of operators that can be used in a comparison involving this column.

  Returns:
    the operators; never null but possibly empty

### isOrderable

    boolean isOrderable()

  Get whether this column can be used within an `ORDER BY clause`.

  Returns:
    true if this column can be used in an order specification, or false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.